Список назначений для наблюдаемости

MD версия

Получает список назначений для наблюдаемости, настроенных в рабочем пространстве по умолчанию аутентифицированной сущности. Используйте параметр запроса workspace_id, чтобы ограничить результат другим рабочим пространством. Отображаются только назначения со стабильным статусом выпуска — назначения других типов исключаются. Требуется ключ управления.

OpenAPI

yaml
/openapi/openapi.yaml get /observability/destinations openapi: 3.1.0 info: contact: email: support@openrouter.ai name: OpenRouter Support url: https://openrouter.ai/docs description: OpenAI-compatible API with additional OpenRouter features license: name: MIT url: https://opensource.org/licenses/MIT title: OpenRouter API version: 1.0.0 servers: - description: Production server url: https://openrouter.ai/api/v1 x-speakeasy-server-id: production security: - apiKey: [] tags: - description: API key management endpoints name: API Keys - description: Analytics and usage endpoints name: Analytics - description: Anthropic Messages endpoints name: Anthropic Messages - description: BYOK endpoints name: BYOK - description: Benchmarks endpoints name: Benchmarks - description: Chat completion endpoints name: Chat - description: Task classification market-share endpoints name: Classifications - description: Credit management endpoints name: Credits - description: >- Public OpenRouter usage datasets. Data returned by these endpoints is licensed under CC BY 4.0 (https://creativecommons.org/licenses/by/4.0/): reuse and republish it, including commercially, with attribution to OpenRouter. name: Datasets - description: Text embedding endpoints name: Embeddings - description: Endpoint information name: Endpoints - description: Files endpoints name: Files - description: Generation history endpoints name: Generations - description: Guardrails endpoints name: Guardrails - description: Images endpoints name: Images - description: Model information endpoints name: Models - description: OAuth authentication endpoints name: OAuth - description: Observability endpoints name: Observability - description: Organization endpoints name: Organization - description: Presets endpoints name: Presets - description: Provider information endpoints name: Providers - description: Rerank endpoints name: Rerank - description: OpenAI-compatible Responses API endpoints name: Responses - description: SCIM endpoints name: SCIM - description: Speech-to-text endpoints name: STT x-displayName: Transcriptions - description: Text-to-speech endpoints name: TTS x-displayName: Speech - description: Video Generation endpoints name: Video Generation - description: Workspaces endpoints name: Workspaces - description: beta.Analytics endpoints name: beta.Analytics externalDocs: description: OpenRouter Documentation url: https://openrouter.ai/docs paths: /observability/destinations: get: tags: - Observability summary: List observability destinations description: >- List the observability destinations configured for the authenticated entity's default workspace. Use the `workspace_id` query parameter to scope the result to a different workspace. Only destinations with stable release status are surfaced — destinations of other types are excluded. [Management key](/docs/guides/overview/auth/management-api-keys) required. operationId: listObservabilityDestinations parameters: - description: Number of records to skip for pagination in: query name: offset required: false schema: default: 0 description: Number of records to skip for pagination example: 0 minimum: 0 type: - integer - 'null' - description: Maximum number of records to return (max 100) in: query name: limit required: false schema: default: 50 description: Maximum number of records to return (max 100) example: 50 maximum: 100 minimum: 1 type: integer - description: >- Optional workspace ID to filter by. Defaults to the authenticated entity's default workspace. in: query name: workspace_id required: false schema: description: >- Optional workspace ID to filter by. Defaults to the authenticated entity's default workspace. example: 550e8400-e29b-41d4-a716-446655440000 format: uuid type: string responses: '200': content: application/json: example: data: - api_key_hashes: null broadcast_generation_cost: false broadcast_generation_identity: false broadcast_generation_request_context: false config: baseUrl: https://us.cloud.langfuse.com publicKey: pk-l...EfGh secretKey: sk-l...AbCd created_at: '2025-08-24T10:30:00Z' enabled: true filter_rules: null id: 99999999-aaaa-bbbb-cccc-dddddddddddd name: Production Langfuse privacy_mode: false sampling_rate: 1 type: langfuse updated_at: '2025-08-24T15:45:00Z' workspace_id: 550e8400-e29b-41d4-a716-446655440000 total_count: 1 schema: $ref: '#/components/schemas/ListObservabilityDestinationsResponse' description: List of observability destinations '400': content: application/json: example: error: code: 400 message: Invalid request parameters schema: $ref: '#/components/schemas/BadRequestResponse' description: Bad Request - Invalid request parameters or malformed input '401': content: application/json: example: error: code: 401 message: Missing Authentication header schema: $ref: '#/components/schemas/UnauthorizedResponse' description: Unauthorized - Authentication required or invalid credentials '500': content: application/json: example: error: code: 500 message: Internal Server Error schema: $ref: '#/components/schemas/InternalServerResponse' description: Internal Server Error - Unexpected server error components: schemas: ListObservabilityDestinationsResponse: example: data: - api_key_hashes: null broadcast_generation_cost: false broadcast_generation_identity: false broadcast_generation_request_context: false config: baseUrl: https://us.cloud.langfuse.com publicKey: pk-l...EfGh secretKey: sk-l...AbCd created_at: '2025-08-24T10:30:00Z' enabled: true filter_rules: null id: 99999999-aaaa-bbbb-cccc-dddddddddddd name: Production Langfuse privacy_mode: false sampling_rate: 1 type: langfuse updated_at: '2025-08-24T15:45:00Z' workspace_id: 550e8400-e29b-41d4-a716-446655440000 total_count: 1 properties: data: description: List of observability destinations. items: $ref: '#/components/schemas/ObservabilityDestination' type: array total_count: description: Total number of destinations matching the filters. example: 1 type: integer required: - data - total_count type: object